Latest opennms meridian Vulnerabilities

Cross-site scripting in bootstrap.jsp
OpenNMS Horizon<32.0.5
OpenNMS Meridian<2023.1.9
maven/org.opennms:opennms-webapp<32.0.5
In OpenMNS Horizon 31.0.8 and versions earlier than 32.0.2, the file editor which is accessible to any user with ROLE_FILESYSTEM_EDITOR privileges is vulnerable to XXE injection attacks. The solution ...
OpenNMS Horizon>=31.0.8<32.0.2
OpenNMS Meridian>=2023.0.0<2023.1.5
In OpenMNS Horizon 31.0.8 and versions earlier than 32.0.2 and related Meridian versions, any user that has the ROLE_FILESYSTEM_EDITOR can easily escalate their privileges to ROLE_ADMIN or any other r...
OpenNMS Horizon>=31.0.8<32.0.2
OpenNMS Meridian>=2023.0.0<2023.1.5
A BeanShell interpreter in remote server mode runs in OpenMNS Horizon versions earlier than 32.0.2 and in related Meridian versions which could allow arbitrary remote Java code execution. The solution...
OpenNMS Horizon<32.0.2
OpenNMS Meridian<2020.1.38
OpenNMS Meridian>=2021.1.0<2021.1.30
OpenNMS Meridian>=2022.1.0<2022.1.19
OpenNMS Meridian>=2023.1.0<2023.1.6
maven/org.opennms:opennms-base-assembly<32.0.2
Multiple stored XSS were found on different JSP files with unsanitized parameters in OpenMNS Horizon 31.0.8 and versions earlier than 32.0.2 on multiple platforms that allow an attacker to store on da...
OpenNMS Horizon>=31.0.8<32.0.2
OpenNMS Meridian<2020.1.38
OpenNMS Meridian>=2022.1.0<2022.1.19
OpenNMS Meridian>=2023.1.0<2023.1.6
Multiple reflected XSS were found on different JSP files with unsanitized parameters in OpenMNS Horizon 31.0.8 and versions earlier than 32.0.2 on multiple platforms that an attacker can modify to cra...
OpenNMS Horizon>=31.0.8<32.0.2
OpenNMS Meridian<2020.1.38
OpenNMS Meridian>=2022.1.0<2022.1.19
OpenNMS Meridian>=2023.1.0<2023.1.6
maven/org.opennms:opennms-webapp>=31.0.8<32.0.2
The Horizon REST API includes a users endpoint in OpenMNS Horizon 31.0.8 and versions earlier than 32.0.2 on multiple platforms is vulnerable to elevation of privilege. The solution is to upgrade to M...
OpenNMS Horizon>=31.0.8<32.0.2
OpenNMS Meridian>=2020.0.0<=2020.1.37
OpenNMS Meridian>=2021.0.0<=2021.1.29
OpenNMS Meridian>=2022.0.0<=2022.1.18
OpenNMS Meridian>=2023.0.0<=2023.1.5
XXE injection in /rtc/post/ endpoint in OpenMNS Horizon 31.0.8 and versions earlier than 32.0.2 on multiple platforms is vulnerable to XML external entity (XXE) injection, which can be used for instan...
OpenNMS Horizon>=32.0.0<32.0.2
OpenNMS Horizon=31.0.8
OpenNMS Meridian>=2020.0.0<2020.1.38
OpenNMS Meridian>=2021.0.0<2021.1.30
OpenNMS Meridian>=2022.1.0<2022.1.9
OpenNMS Meridian>=2023.0.0<2023.1.6
and 1 more
A form can be manipulated with cross-site request forgery in multiple versions of OpenNMS Meridian and Horizon. This can potentially allow an attacker to gain access to confidential information and co...
OpenNMS Horizon<31.0.6
OpenNMS Meridian>=2020.1.0<2020.1.33
OpenNMS Meridian>=2021.1.0<2021.1.25
OpenNMS Meridian>=2022.1.0<2022.1.14
OpenNMS Meridian=2023.1.0
Reflected cross-site scripting in graph results in multiple versions of OpenNMS Meridian and Horizon could allow an attacker access to steal session cookies. Users should upgrade to Meridian 2023.1.0 ...
OpenNMS Horizon<31.0.4
OpenNMS Meridian<2023.1.0
Cross-site scripting in outage/list.htm in multiple versions of OpenNMS Meridian and Horizon allows an attacker access to confidential session information. The solution is to upgrade to Meridian 2023....
OpenNMS Horizon<31.0.4
OpenNMS Meridian<2023.1.0
Multiple stored and reflected cross-site scripting vulnerabilities in webapp jsp pages in multiple versions of OpenNMS Meridian and Horizon could allow an attacker access to confidential session infor...
OpenNMS Horizon<31.0.4
OpenNMS Meridian<2023.1.0
Potential Insertion of Sensitive Information into Jetty Log Files in multiple versions of OpenNMS Meridian and Horizon could allow disclosure of usernames and passwords if the logging level is set to ...
OpenNMS Horizon<31.0.4
OpenNMS Meridian<2023.1.0
Unauthenticated, stored cross-site scripting in the display of alarm reduction keys in multiple versions of OpenNMS Horizon and Meridian could allow an attacker access to confidential session informat...
OpenNMS Horizon<31.0.4
OpenNMS Meridian<2023.1.0
In OpenNMS Horizon, versions opennms-1-0-stable through opennms-27.1.0-1; OpenNMS Meridian, versions meridian-foundation-2015.1.0-1 through meridian-foundation-2019.1.18-1; meridian-foundation-2020.1....
OpenNMS Meridian>=2015.1.0-1<=2019.1.18-1
OpenNMS Meridian>=2020.1.0-1<=2020.1.6-1
Opennms Opennms>=1.0<=27.1.0-1
In OpenNMS Horizon, versions opennms-18.0.0-1 through opennms-27.1.0-1; OpenNMS Meridian, versions meridian-foundation-2015.1.0-1 through meridian-foundation-2019.1.18-1; meridian-foundation-2020.1.0-...
OpenNMS Horizon>=18.0.0<=27.1.0
OpenNMS Meridian>=2015.1.0<=2019.1.18
OpenNMS Meridian>=2020.1.0<=2020.1.7
In OpenNMS Horizon, versions opennms-17.0.0-1 through opennms-27.1.0-1; OpenNMS Meridian, versions meridian-foundation-2015.1.0-1 through meridian-foundation-2019.1.18-1; meridian-foundation-2020.1.0-...
OpenNMS Horizon>=17.0.0<=27.1.0
OpenNMS Meridian>=2015.1.0<=2019.1.18
OpenNMS Meridian>=2020.1.0<=2020.1.7
In OpenNMS Horizon, versions opennms-1-0-stable through opennms-27.1.0-1; OpenNMS Meridian, versions meridian-foundation-2015.1.0-1 through meridian-foundation-2019.1.18-1; meridian-foundation-2020.1....
OpenNMS Horizon>=1.0<27.1.1
OpenNMS Meridian>=2015.1.0<2019.1.19
OpenNMS Meridian>=2020.1.0<2020.1.7
In OpenNMS Horizon, versions opennms-1-0-stable through opennms-27.1.0-1; OpenNMS Meridian, versions meridian-foundation-2015.1.0-1 through meridian-foundation-2019.1.18-1; meridian-foundation-2020.1....
OpenNMS Horizon>=1.0<27.1.1
OpenNMS Meridian>=2015.1.0<2019.1.19
OpenNMS Meridian>=2020.1.0<2020.1.7
In OpenNMS Horizon, versions opennms-1-0-stable through opennms-27.1.0-1; OpenNMS Meridian, versions meridian-foundation-2015.1.0-1 through meridian-foundation-2019.1.18-1; meridian-foundation-2020.1....
OpenNMS Horizon>=1.0<27.1.1
OpenNMS Meridian>=2015.1.0<2019.1.19
OpenNMS Meridian>=2020.1.0<2020.1.7
In OpenNMS Horizon, versions opennms-1-0-stable through opennms-27.1.1; OpenNMS Meridian, versions meridian-foundation-2015.1.0-1 through meridian-foundation-2019.1.18-1; meridian-foundation-2020.1.0-...
maven/org.opennms:opennms-config>=1.0.0<27.1.1
maven/org.opennms:opennms>=1.0.0<27.1.1
OpenNMS Horizon>=1.0<27.1.1
OpenNMS Meridian>=2015.1.0<2019.1.19
OpenNMS Meridian>=2020.1.0<2020.1.7
OpenNMS Meridian 2016, 2017, 2018 before 2018.1.25, 2019 before 2019.1.16, and 2020 before 2020.1.5, Horizon 1.2 through 27.0.4, and Newts <1.5.3 has Incorrect Access Control, which allows local and r...
maven/org.opennms:opennms-util>=16.0.0<=27.0.3
maven/org.opennms:opennms-provision>=16.0.0<=27.0.3
maven/org.opennms.features:org.opennms.features.measurements>=16.0.0<=27.0.3
maven/org.opennms:opennms>=16.0.0<=27.0.3
OpenNMS Horizon>=16.0.0<=27.0.3
OpenNMS Meridian>=2016.1.0<=2016.1.24
and 6 more
OpenNMS Horizon and Meridian allows HQL Injection in element/nodeList.htm (aka the NodeListController) via snmpParm or snmpParmValue to addCriteriaForSnmpParm. This affects Horizon before 25.2.1, Meri...
OpenNMS Horizon<25.2.1
OpenNMS Meridian>=2017<2017.1.21
OpenNMS Meridian>=2018<2018.1.16
OpenNMS Meridian>=2019<2019.1.4

Contact

SecAlerts Pty Ltd.
132 Wickham Terrace
Fortitude Valley,
QLD 4006, Australia
info@secalerts.co
By using SecAlerts services, you agree to our services end-user license agreement. This website is safeguarded by reCAPTCHA and governed by the Google Privacy Policy and Terms of Service. All names, logos, and brands of products are owned by their respective owners, and any usage of these names, logos, and brands for identification purposes only does not imply endorsement. If you possess any content that requires removal, please get in touch with us.
© 2024 SecAlerts Pty Ltd.
ABN: 70 645 966 203, ACN: 645 966 203